SELECT
	a.id,
	a.project_id -- 项目id
	,b.NAME project_name -- 项目名称
	,a.building_code -- 楼栋代码
	,a.NAME -- 名称
	,
CASE
		WHEN a.type = 1 THEN
		'集中商业'
		WHEN a.type = 2 THEN
		'写字楼'
		WHEN a.type = 4 THEN
		'底商'
		WHEN a.type = 5 THEN
		'商业街'
	END type -- 类型
	,
	a.construction_area -- 建筑面积
FROM
	ods_bs_building_d a
	LEFT JOIN ods_bs_project_d b ON a.project_id = b.id
WHERE
	a.del_flag = 0